<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.5
Name: Health Status Observation
Description: The Health Status Observation records information about the current health status of the patient.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000-closed">
   <title>Health Status Observation</title>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/*[not(self::cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5'])]"
         id="d106e3675-true-d12444e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(.)">(HealthStatusObservation)/d106e3675-true-d12444e0: '<value-of select="name(..)"/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan, of niet toegestaan met deze inhoud. Mogelijk betreft dit het templateId, code, of id. (rule-reference: d106e3675-true-d12444e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/*[not(self::cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']|self::cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::cda:text|self::cda:statusCode[@code='completed'][not(@nullFlavor)]|self::cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])]"
         id="d12408e10-true-d13448e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(.)">(HealthStatusObservation)/d12408e10-true-d13448e0: '<value-of select="name(..)"/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan, of niet toegestaan met deze inhoud. Mogelijk betreft dit het templateId, code, of id. (rule-reference: d12408e10-true-d13448e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text/*[not(self::cda:reference)]"
         id="d12408e45-true-d13572e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(.)">(HealthStatusObservation)/d12408e45-true-d13572e0: '<value-of select="name(..)"/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan, of niet toegestaan met deze inhoud. Mogelijk betreft dit het templateId, code, of id. (rule-reference: d12408e45-true-d13572e0)</assert>
   </rule>
</pattern>
