<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.122
Name: Entry Reference
Description: This template represents the act of referencing another entry in the same CDA document instance. Its purpose is to remove the need to repeat the complete XML representation of the referred entry when relating one entry to another. This template can be used to reference many types of Act class derivations, such as encounters, observations, procedures etc., as it is often necessary when authoring CDA documents to repeatedly reference other Acts of these types. For example, in a Care Plan it is necessary to repeatedly relate Health Concerns, Goals, Interventions
                and Outcomes. The id is required and must be the same id as the entry/id it is referencing. The id cannot be a null value. Act/Code is set to nullFlavor=“NP” (Not Present). This means the value is not present in the message (in act/Code).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000">
   <title>Entry Reference</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.122
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]
Item: (EntryReference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.122
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']
Item: (EntryReference)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']"
         id="d107e1607-false-d5119e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="string(@classCode)=('ACT')">CONF:1098-31485: de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="string(@moodCode)=('EVN')">CONF:1098-31486: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.122'])&gt;=1">(EntryReference): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.122'])&lt;=1">(EntryReference): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.122'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="count(cda:id)&gt;=1">(EntryReference): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="count(cda:code)&gt;=1">(EntryReference): element cda:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="count(cda:code)&lt;=1">(EntryReference): element cda:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(EntryReference): element cda:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(EntryReference): element cda:statusCode[@code='completed'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.122
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.122']
Item: (EntryReference)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.122']"
         id="d107e1625-false-d5538e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntryReference): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.122')">CONF:1098-31488: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.122' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.122
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']/cda:id
Item: (EntryReference)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']/cda:id"
         id="d107e1641-false-d5613e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntryReference): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.122
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']/cda:code
Item: (EntryReference)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']/cda:code"
         id="d107e1651-false-d5662e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntryReference): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="string(@nullFlavor)=('NP')">CONF:1098-31491: de waarde van @nullFlavor MOET 'NP' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.122
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']/cda:statusCode[@code='completed'][not(@nullFlavor)]
Item: (EntryReference)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.122']/cda:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d107e1668-false-d5730e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EntryReference): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.122-2015-08-13T000000.html"
              test="@nullFlavor or (@code='completed')">(EntryReference): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
</pattern>
