<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.49
Name: Encounter Activities
Description: This clinical statement describes the interactions between the patient and clinicians. Interactions include in-person encounters, telephone conversations, and email exchanges.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000">
   <title>Encounter Activities</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]
Item: (EncounterActivities)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']"
         id="d107e3536-false-d12030e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="string(@classCode)=('ENC')">conf-8710: de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-8711: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'])&gt;=1">(EncounterActivities): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'])&lt;=1">(EncounterActivities): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:id)&gt;=1">(EncounterActivities): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:code)&lt;=1">(EncounterActivities): element cda:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:effectiveTime)&gt;=1">(EncounterActivities): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(EncounterActivities): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(sdtc:dischargeDispositionCode)&lt;=1">(EncounterActivities): element sdtc:dischargeDispositionCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49']
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49']"
         id="d107e3548-false-d12624e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EncounterActivities): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.49')">conf-10494: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.49' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:id
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:id"
         id="d107e3561-false-d12673e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EncounterActivities): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code"
         id="d107e3569-false-d12709e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(EncounterActivities): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.88.12.80.32 Encounter Type Code (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(EncounterActivities): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.80.32 Encounter Type Code (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:originalText)&lt;=1">(EncounterActivities): element cda:originalText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code/cda:originalText
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code/cda:originalText"
         id="d107e3578-false-d13519e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:reference)&lt;=1">(EncounterActivities): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code/cda:originalText/cda:reference
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code/cda:originalText/cda:reference"
         id="d107e3585-false-d13626e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="starts-with(@value, '#')">(EncounterActivities): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:effectiveTime
Item: (EncounterActivities)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/sdtc:dischargeDispositionCode
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/sdtc:dischargeDispositionCode"
         id="d107e3614-false-d13665e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EncounterActivities): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.12.112' and @codeSystemName='HL7v2 table 0112 Dicharge Disposition') or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.33-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(EncounterActivities): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.12.112' codeSystemName='HL7v2 table 0112 Dicharge Disposition' of 2.16.840.1.113883.3.88.12.80.33 NUBC UB-04 FL17 Patient Status (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.33-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(EncounterActivities): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.80.33 NUBC UB-04 FL17 Patient Status (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer"
         id="d107e3624-false-d14080e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:assignedEntity[not(@nullFlavor)])&gt;=1">(EncounterActivities): element cda:assignedEntity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:assignedEntity[not(@nullFlavor)])&lt;=1">(EncounterActivities): element cda:assignedEntity[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity[not(@nullFlavor)]
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity[not(@nullFlavor)]"
         id="d107e3631-false-d14113e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:code)&lt;=1">(EncounterActivities): element cda:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity[not(@nullFlavor)]/cda:code
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity[not(@nullFlavor)]/cda:code"
         id="d107e3638-false-d14151e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EncounterActivities): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:participant[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]
Item: (EncounterActivities)
-->
   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:participant[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="string(@typeCode)=('LOC')">conf-8740: de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]
Item: (EncounterActivities)
-->
   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="string(@typeCode)=('RSON')">conf-8723: de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:entryRelationship[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]
Item: (EncounterActivities)
--></pattern>
