<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.49
Name: Encounter Activity (V3)
Description: This clinical statement describes an interaction between a patient and clinician. Interactions may include in-person encounters, telephone conversations, and email exchanges.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000">
   <title>Encounter Activity (V3)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]
Item: (EncounterActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']"
         id="d107e3333-false-d11976e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="string(@classCode)=('ENC')">CONF:1198-8710: de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="string(@moodCode)=('EVN')">CONF:1198-8711: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'])&gt;=1">(EncounterActivityV3): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'])&lt;=1">(EncounterActivityV3): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:id)&gt;=1">(EncounterActivityV3): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(EncounterActivityV3): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(EncounterActivityV3): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:effectiveTime)&gt;=1">(EncounterActivityV3): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(EncounterActivityV3): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(sdtc:dischargeDispositionCode)&lt;=1">(EncounterActivityV3): element sdtc:dischargeDispositionCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49']
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49']"
         id="d107e3351-false-d12975e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EncounterActivityV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.49')">CONF:1198-26353: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.49' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="string(@extension)=('2015-08-01')">CONF:1198-32546: de waarde van @extension MOET '2015-08-01' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:id
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:id"
         id="d107e3375-false-d13093e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EncounterActivityV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d107e3383-false-d14032e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(EncounterActivityV3): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.88.12.80.32 Encounter Type Code (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(EncounterActivityV3): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.80.32 Encounter Type Code (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:originalText)&lt;=1">(EncounterActivityV3): element cda:originalText komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:translation)&lt;=1">(EncounterActivityV3): element cda:translation komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/cda:originalText
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/cda:originalText"
         id="d107e3392-false-d14928e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:reference)&lt;=1">(EncounterActivityV3): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/cda:originalText/cda:reference
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/cda:originalText/cda:reference"
         id="d107e3399-false-d15021e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="not(@value) or starts-with(@value, '#')">(EncounterActivityV3): This reference/@value *SHALL* begin with a '#' and *SHALL* point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]/cda:translation
Item: (EncounterActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:effectiveTime
Item: (EncounterActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/sdtc:dischargeDispositionCode
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/sdtc:dischargeDispositionCode"
         id="d107e3439-false-d15107e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.12.112' and @codeSystemName='HL7v2 table 0112 Dicharge Disposition') or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.33-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(EncounterActivityV3): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.12.112' codeSystemName='HL7v2 table 0112 Dicharge Disposition' of 2.16.840.1.113883.3.88.12.80.33 NUBC UB-04 FL17 Patient Status (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.33-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(EncounterActivityV3): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.80.33 NUBC UB-04 FL17 Patient Status (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="@code">CONF:1198-32177: attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="@codeSystem">CONF:1198-32377: attribute @codeSystem MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer"
         id="d107e3468-false-d16507e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:assignedEntity[not(@nullFlavor)])&gt;=1">(EncounterActivityV3): element cda:assignedEntity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:assignedEntity[not(@nullFlavor)])&lt;=1">(EncounterActivityV3): element cda:assignedEntity[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity[not(@nullFlavor)]
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity[not(@nullFlavor)]"
         id="d107e3475-false-d16835e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:code)&lt;=1">(EncounterActivityV3): element cda:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity[not(@nullFlavor)]/cda:code
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity[not(@nullFlavor)]/cda:code"
         id="d107e3482-false-d17068e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EncounterActivityV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(EncounterActivityV3): de elementwaarde MOET een zijn van '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(EncounterActivityV3): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:participant[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]
Item: (EncounterActivityV3)
-->
   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:participant[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="string(@typeCode)=('LOC')">CONF:1198-8740: de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]
Item: (EncounterActivityV3)
-->
   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="string(@typeCode)=('RSON')">CONF:1198-8723: de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:entryRelationship[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]
Item: (EncounterActivityV3)
--></pattern>
