<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.5
Name: Health Status Observation
Description: The Health Status Observation records information about the current health status of the patient.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000">
   <title>Health Status Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]
Item: (HealthStatusObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']"
         id="d107e3684-false-d12029e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="string(@classCode)=('OBS')">conf-9057: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-9072: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'])&gt;=1">(HealthStatusObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'])&lt;=1">(HealthStatusObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(HealthStatusObservation): element cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(HealthStatusObservation): element cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:text)&lt;=1">(HealthStatusObservation): element cda:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(HealthStatusObservation): element cda:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(HealthStatusObservation): element cda:statusCode[@code='completed'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(HealthStatusObservation): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(HealthStatusObservation): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']"
         id="d107e3696-false-d13140e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthStatusObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.5')">conf-16757: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.5' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d107e3709-false-d13306e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthStatusObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="@nullFlavor or (@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')">(HealthStatusObservation): de elementwaarde MOET een zijn van 'code '11323-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text"
         id="d107e3719-false-d13452e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:reference)&lt;=1">(HealthStatusObservation): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text/cda:reference
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text/cda:reference"
         id="d107e3726-false-d13580e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(@value) or starts-with(@value, '#')">(HealthStatusObservation): SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:statusCode[@code='completed'][not(@nullFlavor)]
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d107e3746-false-d13625e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthStatusObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="@nullFlavor or (@code='completed')">(HealthStatusObservation): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d107e3756-false-d13992e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthStatusObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(HealthStatusObservation): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.20.12 HealthStatus (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(HealthStatusObservation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.20.12 HealthStatus (DYNAMISCH).</assert>
   </rule>
</pattern>
