<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.21.2.2
Name: Subjective Section
Description: The Subjective section describes in a narrative format the patient’s current condition and/or interval changes as reported by the patient or by the patient’s guardian or another informant.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000">
   <title>Subjective Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.21.2.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']]
Item: (SubjectiveSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.21.2.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']]/cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']
Item: (SubjectiveSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']]/cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']"
         id="d107e1347-false-d2968e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.21.2.2'])&gt;=1">(SubjectiveSection): element cda:templateId[@root='2.16.840.1.113883.10.20.21.2.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.21.2.2'])&lt;=1">(SubjectiveSection): element cda:templateId[@root='2.16.840.1.113883.10.20.21.2.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="count(cda:code[(@code='61150-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(SubjectiveSection): element cda:code[(@code='61150-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="count(cda:code[(@code='61150-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(SubjectiveSection): element cda:code[(@code='61150-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="count(cda:title)&gt;=1">(SubjectiveSection): element cda:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="count(cda:title)&lt;=1">(SubjectiveSection): element cda:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="count(cda:text[not(@nullFlavor)])&gt;=1">(SubjectiveSection): element cda:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="count(cda:text[not(@nullFlavor)])&lt;=1">(SubjectiveSection): element cda:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.21.2.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']]/cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']/cda:templateId[@root='2.16.840.1.113883.10.20.21.2.2']
Item: (SubjectiveSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']]/cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']/cda:templateId[@root='2.16.840.1.113883.10.20.21.2.2']"
         id="d107e1349-false-d4340e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SubjectiveSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.21.2.2')">conf-10470: de waarde van @root MOET '2.16.840.1.113883.10.20.21.2.2' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.21.2.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']]/cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']/cda:code[(@code='61150-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (SubjectiveSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']]/cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']/cda:code[(@code='61150-9' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d107e1362-false-d4453e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SubjectiveSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="@nullFlavor or (@code='61150-9' and @codeSystem='2.16.840.1.113883.6.1')">(SubjectiveSection): de elementwaarde MOET een zijn van 'code '61150-9' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.21.2.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']]/cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']/cda:title
Item: (SubjectiveSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']]/cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']/cda:title"
         id="d107e1372-false-d4566e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SubjectiveSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.21.2.2
Context: *[cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']]/cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']/cda:text[not(@nullFlavor)]
Item: (SubjectiveSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']]/cda:section[hl7:templateId/@root='2.16.840.1.113883.10.20.21.2.2']/cda:text[not(@nullFlavor)]"
         id="d107e1380-false-d4595e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.21.2.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SubjectiveSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
