<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.140
Name: Patient Referral Act
Description: This template represents the type of referral (e.g., for dental care, to a specialist, for aging problems) and represents whether the referral is for full care or shared care. It may contain a reference to another act in the document instance representing the clinical reason for the referral (e.g., problem, concern, procedure).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000">
   <title>Patient Referral Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]
Item: (PatientReferralAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']"
         id="d107e1691-false-d5111e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@classCode)=('PCPR')">CONF:1098-30884: de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@moodCode">CONF:1098-30885: attribute @moodCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.11.20.9.66-2014-09-01T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">CONF:1098-30885: de waarde van moodCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.11.20.9.66' Patient Referral Act moodCode (2014-09-01T00:00:00).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140'])&gt;=1">(PatientReferralAct): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140'])&lt;=1">(PatientReferralAct): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:id)&gt;=1">(PatientReferralAct): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(PatientReferralAct): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(PatientReferralAct): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='active'][not(@nullFlavor)])&gt;=1">(PatientReferralAct): element cda:statusCode[@code='active'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='active'][not(@nullFlavor)])&lt;=1">(PatientReferralAct): element cda:statusCode[@code='active'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:effectiveTime)&gt;=1">(PatientReferralAct): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(PatientReferralAct): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:priorityCode)&lt;=1">(PatientReferralAct): element cda:priorityCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140']
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140']"
         id="d107e1711-false-d7395e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.140')">CONF:1098-30887: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.140' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:id
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:id"
         id="d107e1727-false-d7496e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d107e1737-false-d8208e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientReferralAct): de elementwaarde MOET een zijn van '2.16.840.1.113883.11.20.9.56 Referral Types CCDA (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(PatientReferralAct): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.11.20.9.56 Referral Types CCDA (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:statusCode[@code='active'][not(@nullFlavor)]
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:statusCode[@code='active'][not(@nullFlavor)]"
         id="d107e1748-false-d8814e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or (@code='active')">(PatientReferralAct): de elementwaarde MOET een zijn van 'code 'active''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:effectiveTime
Item: (PatientReferralAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:priorityCode
Item: (PatientReferralAct)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']
Item: (PatientReferralAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&gt;=1">(AuthorParticipation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&lt;=1">(AuthorParticipation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time[not(@nullFlavor)])&gt;=1">(AuthorParticipation): element cda:time[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time[not(@nullFlavor)])&lt;=1">(AuthorParticipation): element cda:time[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)])&gt;=1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)])&lt;=1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119']">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.119')">CONF:1098-32018: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.119' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:time[not(@nullFlavor)]
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]
Item: (AuthorParticipation)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:id)&gt;=1">(AuthorParticipation): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:code)&lt;=1">(AuthorParticipation): element cda:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedPerson)&lt;=1">(AuthorParticipation): element cda:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:representedOrganization)&lt;=1">(AuthorParticipation): element cda:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:id
Item: (AuthorParticipation)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:id">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:code
Item: (AuthorParticipation)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:code">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AuthorParticipation): de elementwaarde MOET een zijn van '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(AuthorParticipation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id
Item: (AuthorParticipation)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom
Item: (AuthorParticipation)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr
Item: (AuthorParticipation)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:participant
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:participant"
         id="d107e1784-false-d9992e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@typeCode)=('REFT')">CONF:1098-32638: de waarde van @typeCode MOET 'REFT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:participantRole[not(@nullFlavor)])&gt;=1">(PatientReferralAct): element cda:participantRole[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:participantRole[not(@nullFlavor)])&lt;=1">(PatientReferralAct): element cda:participantRole[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:participant/cda:participantRole[not(@nullFlavor)]
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:participant/cda:participantRole[not(@nullFlavor)]"
         id="d107e1799-false-d10089e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:code)&lt;=1">(PatientReferralAct): element cda:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:participant/cda:participantRole[not(@nullFlavor)]/cda:code
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:participant/cda:participantRole[not(@nullFlavor)]/cda:code"
         id="d107e1806-false-d10144e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientReferralAct): de elementwaarde MOET een zijn van '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(PatientReferralAct): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]"
         id="d107e1818-false-d10455e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@typeCode)=('SUBJ')">CONF:1098-31613: de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]])&gt;=1">(PatientReferralAct): element cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]])&lt;=1">(PatientReferralAct): element cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]"
         id="d107e1835-false-d10490e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@classCode)=('OBS')">CONF:1098-31606: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@moodCode)=('RQO')">CONF:1098-31607: de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&gt;=1">(PatientReferralAct): element cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&lt;=1">(PatientReferralAct): element cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(PatientReferralAct): element cda:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(PatientReferralAct): element cda:statusCode[@code='completed'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:priorityCode)&lt;=1">(PatientReferralAct): element cda:priorityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-2014-06-19T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(PatientReferralAct): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-2014-06-19T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-2014-06-19T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(PatientReferralAct): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-2014-06-19T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]"
         id="d107e1858-false-d10701e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(PatientReferralAct): de elementwaarde MOET een zijn van 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/cda:statusCode[@code='completed'][not(@nullFlavor)]
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/cda:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d107e1869-false-d10747e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or (@code='completed')">(PatientReferralAct): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/cda:priorityCode
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/cda:priorityCode"
         id="d107e1879-false-d10789e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientReferralAct): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16866 ActPriority (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(PatientReferralAct): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.16866 ActPriority (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-2014-06-19T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]]/cda:observation[cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]]/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-2014-06-19T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d107e1889-false-d11091e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.61-2014-06-19T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientReferralAct): de elementwaarde MOET een zijn van '2.16.840.1.113883.11.20.9.61 Care Model (2014-06-19T00:00:00)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.11.20.9.61-2014-06-19T000000.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(PatientReferralAct): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.11.20.9.61 Care Model (2014-06-19T00:00:00).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]
Item: (PatientReferralAct)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@typeCode)=('RSON')">CONF:1098-31636: de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>
</pattern>
