<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.2
Name: Result Observation
Description: This clinical statement represents details of a lab, radiology, or other study performed on a patient. The result observation includes a statusCode to allow recording the status of an observation. If a Result Observation is not completed, the Result Organizer must include corresponding statusCode. “Pending” results (e.g., a test has been run but results have not been reported yet) should be represented as “active” ActStatus.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000">
   <title>Result Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]
Item: (ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']"
         id="d107e2408-false-d5407e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="string(@classCode)=('OBS')">conf-7130: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-7131: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'])&gt;=1">(ResultObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'])&lt;=1">(ResultObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:id)&gt;=1">(ResultObservation): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:code)&gt;=1">(ResultObservation): element cda:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:code)&lt;=1">(ResultObservation): element cda:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:text)&lt;=1">(ResultObservation): element cda:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:statusCode[not(@nullFlavor)])&gt;=1">(ResultObservation): element cda:statusCode[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:statusCode[not(@nullFlavor)])&lt;=1">(ResultObservation): element cda:statusCode[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:effectiveTime)&gt;=1">(ResultObservation): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(ResultObservation): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:value)&gt;=1">(ResultObservation): element cda:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:value)&lt;=1">(ResultObservation): element cda:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:methodCode)&lt;=1">(ResultObservation): element cda:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:targetSiteCode)&lt;=1">(ResultObservation): element cda:targetSiteCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:author)&lt;=1">(ResultObservation): element cda:author komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2']
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2']"
         id="d107e2420-false-d6046e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.2')">conf-9138: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.2' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:id
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:id"
         id="d107e2433-false-d6207e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:code
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:code"
         id="d107e2441-false-d6390e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:text
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:text"
         id="d107e2450-false-d6423e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:reference)&lt;=1">(ResultObservation): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:text/cda:reference
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:text/cda:reference"
         id="d107e2457-false-d6563e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="not(@value) or starts-with(@value, '#')">(ResultObservation): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:statusCode[not(@nullFlavor)]
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:statusCode[not(@nullFlavor)]"
         id="d107e2476-false-d6590e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:effectiveTime
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:effectiveTime"
         id="d107e2484-false-d6682e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:value
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:value"
         id="d107e2494-false-d6751e0">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:interpretationCode
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:interpretationCode"
         id="d107e2502-false-d6786e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:methodCode
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:methodCode"
         id="d107e2510-false-d6828e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:targetSiteCode
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:targetSiteCode"
         id="d107e2519-false-d6870e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author
Item: (ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange"
         id="d107e2535-false-d6945e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:observationRange[not(@nullFlavor)])&gt;=1">(ResultObservation): element cda:observationRange[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:observationRange[not(@nullFlavor)])&lt;=1">(ResultObservation): element cda:observationRange[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange[not(@nullFlavor)]
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange[not(@nullFlavor)]"
         id="d107e2542-false-d6981e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="count(cda:code)=0">(ResultObservation): element cda:code MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange[not(@nullFlavor)]/cda:code
Item: (ResultObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange[not(@nullFlavor)]/cda:code"
         id="d107e2549-false-d7029e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
</pattern>
