<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Name: Reason for Referral Section
Description: A Reason for Referral section records the reason the patient is being referred for a consultation by a provider. An optional Chief Complaint section may capture the patient’s description of the reason for the consultation.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000">
   <title>Reason for Referral Section</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]
Item: (ReasonforReferralSection)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']
Item: (ReasonforReferralSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']"
         id="d106e770-false-d5472e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="count(cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'])&gt;=1">(ReasonforReferralSection): element cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="count(cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'])&lt;=1">(ReasonforReferralSection): element cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="count(cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(ReasonforReferralSection): element cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="count(cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(ReasonforReferralSection): element cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="count(cda:title)&gt;=1">(ReasonforReferralSection): element cda:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="count(cda:title)&lt;=1">(ReasonforReferralSection): element cda:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="count(cda:text[not(@nullFlavor)])&gt;=1">(ReasonforReferralSection): element cda:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="count(cda:text[not(@nullFlavor)])&lt;=1">(ReasonforReferralSection): element cda:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']
Item: (ReasonforReferralSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']"
         id="d106e772-false-d6084e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonforReferralSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.3.1')">conf-10468: de waarde van @root MOET '1.3.6.1.4.1.19376.1.5.3.1.3.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (ReasonforReferralSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d106e785-false-d6193e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonforReferralSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="@nullFlavor or (@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')">(ReasonforReferralSection): de elementwaarde MOET een zijn van 'code '42349-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:title
Item: (ReasonforReferralSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:title"
         id="d106e795-false-d6337e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonforReferralSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.3.1
Context: *[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:text[not(@nullFlavor)]
Item: (ReasonforReferralSection)
-->

   <rule context="*[cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']]/cda:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']/cda:text[not(@nullFlavor)]"
         id="d106e803-false-d6435e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-1.3.6.1.4.1.19376.1.5.3.1.3.1-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonforReferralSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
