<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.113
Name: Prognosis Observation
Description: This template represents the patient’s prognosis, which must be associated with a problem observation. It may serve as an alert to scope intervention plans. The effectiveTime represents the clinically relevant time of the observation. The observation/value is not constrained and can represent the expected life duration in PQ, an anticipated course of the disease in text, or coded term.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000">
   <title>Prognosis Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]
Item: (PrognosisObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']
Item: (PrognosisObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']"
         id="d106e1401-false-d5595e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="string(@classCode)=('OBS')">CONF:1098-29035: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="string(@moodCode)=('EVN')">CONF:1098-29036: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113'])&gt;=1">(PrognosisObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113'])&lt;=1">(PrognosisObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(PrognosisObservation): element cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(PrognosisObservation): element cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(PrognosisObservation): element cda:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(PrognosisObservation): element cda:statusCode[@code='completed'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:effectiveTime)&gt;=1">(PrognosisObservation): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(PrognosisObservation): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:value[not(@nullFlavor)])&gt;=1">(PrognosisObservation): element cda:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:value[not(@nullFlavor)])&lt;=1">(PrognosisObservation): element cda:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113']
Item: (PrognosisObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113']"
         id="d106e1419-false-d6671e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrognosisObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.113')">CONF:1098-29038: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.113' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (PrognosisObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d106e1435-false-d6765e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrognosisObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="@nullFlavor or (@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')">(PrognosisObservation): de elementwaarde MOET een zijn van 'code '75328-5' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:statusCode[@code='completed'][not(@nullFlavor)]
Item: (PrognosisObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d106e1445-false-d6839e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrognosisObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="@nullFlavor or (@code='completed')">(PrognosisObservation): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:effectiveTime
Item: (PrognosisObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:effectiveTime"
         id="d106e1456-false-d6895e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrognosisObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:value[not(@nullFlavor)]
Item: (PrognosisObservation)
-->
</pattern>
