<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.2
Name: Result Observation (V3)
Description: This template represents the results of a laboratory, radiology, or other study performed on a patient. The result observation includes a statusCode to allow recording the status of an observation. “Pending” results (e.g., a test has been run but results have not been reported yet) should be represented as “active” ActStatus.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000">
   <title>Result Observation (V3)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]
Item: (ResultObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']"
         id="d106e2228-false-d8158e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="string(@classCode)=('OBS')">CONF:1198-7130: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="string(@moodCode)=('EVN')">CONF:1198-7131: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'])&gt;=1">(ResultObservationV3): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'])&lt;=1">(ResultObservationV3): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:id)&gt;=1">(ResultObservationV3): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:code[@codeSystem='2.16.840.1.113883.6.1'][not(@nullFlavor)])&gt;=1">(ResultObservationV3): element cda:code[@codeSystem='2.16.840.1.113883.6.1'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:code[@codeSystem='2.16.840.1.113883.6.1'][not(@nullFlavor)])&lt;=1">(ResultObservationV3): element cda:code[@codeSystem='2.16.840.1.113883.6.1'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:statusCode[not(@nullFlavor)])&gt;=1">(ResultObservationV3): element cda:statusCode[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:statusCode[not(@nullFlavor)])&lt;=1">(ResultObservationV3): element cda:statusCode[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:effectiveTime)&gt;=1">(ResultObservationV3): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(ResultObservationV3): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:value[not(@nullFlavor)])&gt;=1">(ResultObservationV3): element cda:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:value[not(@nullFlavor)])&lt;=1">(ResultObservationV3): element cda:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:methodCode)&lt;=1">(ResultObservationV3): element cda:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:targetSiteCode)&lt;=1">(ResultObservationV3): element cda:targetSiteCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2']
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2']"
         id="d106e2246-false-d8976e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservationV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.2')">CONF:1198-9138: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.2' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="string(@extension)=('2015-08-01')">CONF:1198-32575: de waarde van @extension MOET '2015-08-01' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:id
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:id"
         id="d106e2270-false-d9246e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservationV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:code[@codeSystem='2.16.840.1.113883.6.1'][not(@nullFlavor)]
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:code[@codeSystem='2.16.840.1.113883.6.1'][not(@nullFlavor)]"
         id="d106e2278-false-d9293e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservationV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1')">(ResultObservationV3): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:statusCode[not(@nullFlavor)]
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:statusCode[not(@nullFlavor)]"
         id="d106e2289-false-d9398e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservationV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:effectiveTime
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:effectiveTime"
         id="d106e2297-false-d9446e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservationV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:value[not(@nullFlavor)]
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:value[not(@nullFlavor)]"
         id="d106e2305-false-d9491e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="(.[@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.96']) or not(.[@xsi:type='CD'])">(ResultObservationV3): If Observation/value is a CD (*xsi:type*=*"CD"*) the value SHOULD be SNOMED-CT</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:interpretationCode
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:interpretationCode"
         id="d106e2321-false-d9525e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="@code">CONF:1198-32476: attribute @code MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">CONF:1198-32476: de waarde van code MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.78' Observation Interpretation (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:methodCode
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:methodCode"
         id="d106e2339-false-d10035e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservationV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:targetSiteCode
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:targetSiteCode"
         id="d106e2347-false-d10160e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservationV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']
Item: (ResultObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&gt;=1">(AuthorParticipation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&lt;=1">(AuthorParticipation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time[not(@nullFlavor)])&gt;=1">(AuthorParticipation): element cda:time[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time[not(@nullFlavor)])&lt;=1">(AuthorParticipation): element cda:time[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)])&gt;=1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)])&lt;=1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119']">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.119')">CONF:1098-32018: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.119' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:time[not(@nullFlavor)]
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]
Item: (AuthorParticipation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:id)&gt;=1">(AuthorParticipation): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:code)&lt;=1">(AuthorParticipation): element cda:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedPerson)&lt;=1">(AuthorParticipation): element cda:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:representedOrganization)&lt;=1">(AuthorParticipation): element cda:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:id
Item: (AuthorParticipation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:id">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:code
Item: (AuthorParticipation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:code">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AuthorParticipation): de elementwaarde MOET een zijn van '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(AuthorParticipation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id
Item: (AuthorParticipation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom
Item: (AuthorParticipation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr
Item: (AuthorParticipation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange"
         id="d106e2364-false-d11750e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:observationRange[not(@nullFlavor)])&gt;=1">(ResultObservationV3): element cda:observationRange[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:observationRange[not(@nullFlavor)])&lt;=1">(ResultObservationV3): element cda:observationRange[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange[not(@nullFlavor)]
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange[not(@nullFlavor)]"
         id="d106e2371-false-d11836e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:code)=0">(ResultObservationV3): element cda:code MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:value[not(@nullFlavor)])&gt;=1">(ResultObservationV3): element cda:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:value[not(@nullFlavor)])&lt;=1">(ResultObservationV3): element cda:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange[not(@nullFlavor)]/cda:code
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange[not(@nullFlavor)]/cda:code"
         id="d106e2378-false-d11950e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservationV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange[not(@nullFlavor)]/cda:value[not(@nullFlavor)]
Item: (ResultObservationV3)
-->
</pattern>
