<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.6
Name: Problem Status
Description: The Problem Status records whether the indicated problem is active, inactive, or resolved.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000">
   <title>Problem Status</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]
Item: (ProblemStatus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']"
         id="d106e3859-false-d12537e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="string(@classCode)=('OBS')">conf-7357: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-7358: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'])&gt;=1">(ProblemStatus): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'])&lt;=1">(ProblemStatus): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(ProblemStatus): element cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(ProblemStatus): element cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:text)&lt;=1">(ProblemStatus): element cda:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(ProblemStatus): element cda:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(ProblemStatus): element cda:statusCode[@code='completed'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(ProblemStatus): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(ProblemStatus): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6']
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6']"
         id="d106e3871-false-d13433e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemStatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.6')">conf-10518: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.6' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d106e3884-false-d13567e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemStatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="@nullFlavor or (@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')">(ProblemStatus): de elementwaarde MOET een zijn van 'code '33999-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:text
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:text"
         id="d106e3894-false-d13707e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:reference)&lt;=1">(ProblemStatus): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:text/cda:reference
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:text/cda:reference"
         id="d106e3901-false-d13773e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="@value">conf-15594: attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="not(@value) or starts-with(@value, '#')">(ProblemStatus): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:statusCode[@code='completed'][not(@nullFlavor)]
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d106e3921-false-d13812e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemStatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="@nullFlavor or (@code='completed')">(ProblemStatus): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d106e3931-false-d14230e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemStatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ProblemStatus): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.88.12.80.68 Problem Status (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160810T112602/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ProblemStatus): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.80.68 Problem Status (DYNAMISCH).</assert>
   </rule>
</pattern>
